aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/gen-eclass-html.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/gen-eclass-html.sh b/bin/gen-eclass-html.sh
index 3a4decc..4a7ba89 100755
--- a/bin/gen-eclass-html.sh
+++ b/bin/gen-eclass-html.sh
@@ -200,7 +200,8 @@ else
<ul class="list-group">
EOF
for i in $(find "${OUTPUTDIR}" -maxdepth 1 -mindepth 1 -type d | sort); do
- echo "<li><uri link=\"$(basename $i)/index.html\">$(basename $i)</uri></li>" >> "${OUTPUTDIR}"/text.xml || exit 1
+ echo "<li><uri link=\"::eclass-reference/$(basename $i)/\"/></li>" \
+ >> "${OUTPUTDIR}"/text.xml || exit 1
done
cat <<- 'EOF' >> "${OUTPUTDIR}"/text.xml || exit 1
</ul>